/*
Title: sync.c
Description: SPI drivers for HC11
Notes: only "polling" mode support right now
Created: 2/11/97 LL
Last Modified: 11/9/1998 LL -fixing paths
Copyright(C) 1997 Lance Lascari WS2B
*/
#include "c:\local\personal\src\embed_c\sync.h"

/* spi_init(unsigned char cfg)
-uses masks in sync.h
-configures SPCR & DDRD
- SAMPLE : spi_init(( SPI_ON | SPI_MSTR | SPI_CPHA | SPI_E_32 ));
*/
spi_init(unsigned char cfg)
{
  if(cfg & SPI_MSTR)           /* configure port D pins */
    DDRD|=SPI_MASTER;
  else 
    DDRD |=SPI_SLAVE;

  SPCR=cfg;                    /* configure SPI config register */

}



/* unsigned char spi_xfer(unsigned char data)
-transfers a single byte in and out, waits for completion
*/
unsigned char spi_xfer(unsigned char data)
{
  SPDR=data;        /* start transfer by writing to data register */

  while(!(SPSR&SPIF));     /* wait for completion */

  return(SPDR);               /* return data read in during transfer */

}









