/*
Title: sync.h
Description: support for SPI drivers for HC11
Notes: 
Created: 2/11/97 LL
Last Modified: 
Copyright(C) 1997 Lance Lascari WS2B
*/

/* spi configuration definitions  (SPCR) */
#define SPI_INT  0x80            /* SPI interrupt enable */
#define SPI_ON   0x40            /* SPI system enable */
#define DWOM     0x20            /* port D wired or mode bit */
#define SPI_MSTR 0x10            /* set = master, clear = slave */
#define SPI_CPOL 0x08            /* set = active low clock, clear = active hi*/
#define SPI_CPHA 0x04            /* clock phase, see books */

#define SPI_E_02 0x00            /* clock is E /2 */
#define SPI_E_04 0x01            /* clock is E /4 */
#define SPI_E_16 0x02            /* clock is E /16 */
#define SPI_E_32 0x03            /* clock is E /32 */



/* SPSR (spi status reg) masks  */
#define SPIF 0x80                   /* transfer complete flag */
#define WCOL 0x40                   /* write collision flag */
#define MODF 0x10                   /* mode fault flag */

/* DDRD port configuration */
#define SPI_MASTER 0x38             /* ~SS, SCK, MOSI outputs */
#define SPI_SLAVE  0x08             /* only MOSI output */




