/*
Title: sync2.c
Description: manual bit-bang serial (non-SPI) drivers for HC11
Notes: only "transmit" support right now (that's all I need right now)
-- also limited support right now for clock phase/etc.  The initial goal is to
use this to load shift-register based synthesizer chips on RF boards.
-- data is assumed to be clocked into the external device on the rising edge
-- port/bit data direction/configuration must be done before using these
routines
-- only clock and data are handled here, strobes and such should be handled
by the user application

-- this is written so that the clock and data pins can be on different
port addresses, which causes more parameters to be passed on the
stack, but is ultimately very flexible.  Who knows what happens when
you're short of io pins

Created: 8/7/1998 LL
Last Modified: 8/8/1998 LL -testing/refining (seems to work ok)

Copyright(C) 1997,1998 Lance Lascari WS2B */
/*#include "c:\local\src\embed_c\sync2.h"*/

/*void  sync2_putc(char c, unsigned char *clk_addr,char clk_bit,unsigned char *dat_addr,char dat_bit)
- this is a manual synchronous serial transmitter routine that can use
any two bits as clock/data.
- data is assumed to be shifted in on the rising edge of the clock
- MSB is sent first
*/
void  sync2_putc(unsigned char c, unsigned char *clk_addr,char clk_bit,unsigned char *dat_addr,char dat_bit)
{
  unsigned char i;

  for(i=0;i<8;i++)   /* loop 8 times for 8 bits (amazing how that works)*/
    {
      *clk_addr &= ~clk_bit;   /* drop clock line */
      delay(1);
      if(c & 0x80)     /* check to see if MSB is set */
	*dat_addr |= dat_bit; /* if so, raise the data line */
      else
	*dat_addr &= ~dat_bit; /* else drop it */

      
      c<<=1;      /* shift next bit into MSB */
      delay(1);
      *clk_addr |= clk_bit;    /* raise clock line now that the data is valid*/
      /*********/ 
      delay(1); /* 1 ms delay for now, shouldn't be necessary in the long run*/
      /*********/ 
    }

      *clk_addr &= ~clk_bit;   /* drop clock line */ /* ??????? */
}




















